Loading...
Searching...
No Matches
Ogre::GpuProgramFactory Class Referenceabstract
Core » Resources

Interface definition for factories of GpuProgram. More...

`#include <OgreGpuProgramManager.h>`

Inheritance diagram for Ogre::GpuProgramFactory:
[legend]

## Public Member Functions

virtual | ~GpuProgramFactory ()
virtual GpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)=0
virtual void | destroy (GpuProgram *prog)
virtual const String & | getLanguage (void) const =0
| Get the name of the language this factory creates programs for.

## Detailed Description

Interface definition for factories of GpuProgram.

## Constructor & Destructor Documentation

## ~GpuProgramFactory()

virtual Ogre::GpuProgramFactory::~GpuProgramFactory | ( |  | ) |

inline virtual

## Member Function Documentation

## getLanguage()

virtual const String & Ogre::GpuProgramFactory::getLanguage | ( | void |  | ) | const

pure virtual

Get the name of the language this factory creates programs for.

Implemented in Ogre::CgProgramFactory, and Ogre::GLSLangProgramFactory.

## create()

virtual GpuProgram * Ogre::GpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader )

pure virtual

Implemented in Ogre::CgProgramFactory, and Ogre::GLSLangProgramFactory.

## destroy()

virtual void Ogre::GpuProgramFactory::destroy | ( | GpuProgram * | prog | ) |

inline virtual

The documentation for this class was generated from the following file:

- OgreGpuProgramManager.h